import { BaseCoin as CoinConfig } from '@bitgo-beta/statics';
import { KeyRegistrationBuilder } from './keyRegistrationBuilder';
import { TransferBuilder } from './transferBuilder';
import { TransactionBuilder } from './transactionBuilder';
import { AssetTransferBuilder } from './assetTransferBuilder';
import { BaseTransactionBuilderFactory } from '@bitgo-beta/sdk-core';
export declare class TransactionBuilderFactory extends BaseTransactionBuilderFactory {
    constructor(_coinConfig: Readonly<CoinConfig>);
    getTransferBuilder(): TransferBuilder;
    getAssetTransferBuilder(): AssetTransferBuilder;
    getKeyRegistrationBuilder(): KeyRegistrationBuilder;
    from(rawTxn: string | Uint8Array): TransactionBuilder;
    private getBuilder;
    getWalletInitializationBuilder(): KeyRegistrationBuilder;
}
//# sourceMappingURL=transactionBuilderFactory.d.ts.map